Bug 165903 - Review Request: perl-Carp-Assert - Executable comments
Review Request: perl-Carp-Assert - Executable comments
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
http://search.cpan.org/dist/Carp-Assert/
:
Depends On:
Blocks: FE-ACCEPT 165904
  Show dependency treegraph
 
Reported: 2005-08-13 16:46 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 09:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-08-13 16:46:09 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Carp-Assert.spec
SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Carp-Assert-0.18-1.src.rpm

Description:
Carp::Assert is intended for a purpose like the ANSI C library assert.h.
Comment 1 Ralf Corsepius 2005-08-22 08:39:06 EDT
NEEDSWORK:

The package builds fine in chroot without Test::Inline installed, but chokes if
Test::Inline is installed:

rpmbuild ...
...
cp lib/Carp/Assert.pm blib/lib/Carp/Assert.pm
make: pod2test: Command not found
...

Nitpicking:
- %check || :
Comment 2 Paul Howarth 2005-08-22 08:57:19 EDT
(In reply to comment #1)
> NEEDSWORK:
> 
> The package builds fine in chroot without Test::Inline installed, but chokes if
> Test::Inline is installed:
> 
> rpmbuild ...
> ...
> cp lib/Carp/Assert.pm blib/lib/Carp/Assert.pm
> make: pod2test: Command not found
> ...

The Changes file for Test::Inline says that pod2test was removed at version
2.00_07. This probably needs fixing upstream.
Comment 3 Ralf Corsepius 2005-08-22 10:48:16 EDT
(In reply to comment #2)
I think adding a
BuildConflicts: perl(Test::Inline) >= 2.00_07

or even more restrictive
BuildConflicts: perl(Test::Inline)

would be sufficient to prevent this issue.
Comment 4 Jose Pedro Oliveira 2005-08-25 15:51:04 EDT
Added the more restrictive build conflict. Tomorrow will take this upstream
(rt.cpan.org).

New signed SRPM:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Carp-Assert-0.18-2.src.rpm
Comment 5 Ralf Corsepius 2005-08-26 07:11:27 EDT
perfect - APPROVED
Comment 6 Jose Pedro Oliveira 2005-08-26 09:15:15 EDT
Build completed for targets FC-3, FC-4, and devel.

Note You need to log in before you can comment on or make changes to this bug.